roar_vs_strerr(3)

NAME
roar_vs_strerr - Convert an error code into a lion readable string

SYNOPSIS

#include <roaraudio.h>

const char * roar_vs_strerr(int error);

DESCRIPTION
This function returns a lion readable error message for the given error code. If the error code is unknown or invalid it returns a string to represent an unknown error code unlike roar_error2str(3) which returns NULL.

The returned string is constant memory and must not be altered or freed.

This function is thread safe.

PARAMETERS

error
    The error code which should be translated into a string.

RETURN VALUE
Returns a constant string descripting the error error.

EXAMPLES
FIXME

SEE ALSO
roar_error2str(3), roarvs(7), libroar(7), RoarAudio(7).